The 'grinch' isn't a Linux vulnerability, Red Hat says
================================================================================
![](http://images.techhive.com/images/article/2014/12/grinch-linux-100536132-primary.idge.png)

Credit: [Natalia Wilson via Creative Commons][1]

> The way Linux handles user permissions could still lead to potential misuse, security researchers say

The "grinch" Linux vulnerability that Alert Logic raised alarms about Tuesday is not a vulnerability at all, according to Red Hat.

"This report incorrectly classifies expected behavior as a security issue," said a [Red Hat bulletin issued Wednesday][2], responding to Alert Logic's claims. 

Security firm Alert Logic Tuesday claimed that grinch could be as severe as the Heartbleed bug and that it's [a serious design flaw in how Linux systems handle user permissions][3], which could allow malicious attackers to gain root access to a machine. 

Alert Logic claimed that an attacker could exploit grinch through the use of a third-party Linux software framework called Policy Kit (Polkit), which was designed to aid users in installing and running software packages. Red Hat maintains Polkit, an open-source program. By allowing users to install software programs, which usually requires root access, Polkit could provide an avenue to run malicious programs, inadvertently or otherwise, Alert Logic said. 

But the system was designed to work that way -- in other words, grinch is not a bug but a feature, according to Red Hat.

"If you are trusting users to install any software on your system without a password by using software that leverages Policykit, you are inherently bypassing the authentication and access control built into Linux," wrote Jen Andre, cofounder of the Threat Stack security monitoring firm, [in a blog post on the topic][4]. 

Even though the grinch behavior is intended, it still can be abused or modified to compromise systems, Alert Logic senior security researcher Tyler Bourland wrote in an email to the IDG News Service.

"The issue here is that there is a way to open up the surface area to attacks," Bourland wrote. "If installing packages worked like every other operation, such as removing packages or adding repositories, and always asked for a password, then this wouldn't have the abuse potential we've identified."

Nonetheless, the use of Polkit has some severe limitations for the would-be attacker, Andre said in an interview.

The attacker would need to have physical access to the Linux computer and have to interact with the machine through an attached keyboard and mouse. If the attacker had this level of access, it would be just as easy to reboot the machine into a recovery mode and access the data and programs that way, Andre noted.

Also, Polkit is not installed by default on all Linux machines -- in fact, the primary use case is for workstations that have graphical desktop interfaces, which themselves constitute a small percentage of Linux machines running today, Andre said.

In other words, grinch doesn't have the wide attack surface of [Shellshock][5], which relied on the Bash shell found in nearly all Linux distributions. 

Other security experts have also downplayed grinch.

"In some ways, this isn't so much a vulnerability, as more a common overly permissive configuration of many Linux systems," wrote Johannes Ullrich of the SANS Institute's Internet Storm Center security advisory site, [in a blog post][6]. 

Ullrich also noted that grinch is not entirely benign, however: "It could easily be leveraged to escalate privileges beyond the intent of the Polkit configuration."

Andre pointed out that administrators who are managing desktop Linux machines running Polkit should be aware of the potential danger and that they should check what programs Polkit is managing to ensure no malicious activity is going on.

Application developers and Linux distributors should also ensure that they are using the Polkit framework correctly, Andre said.

Even Tyler, the co-author of the original report, seems to admit that grinch is not so severe.

Grinch is a "surface opening stager and by itself nothing much," Bourland wrote, referring to how an attacker would need additional vulnerabilities to use in conjunction with grinch to stage an attack,[in an email on the Open Source Security mailing list][7]. 

(Lucian Constantin contributed to this report.) 

--------------------------------------------------------------------------------

via:http://www.computerworld.com/article/2861392/security0/the-grinch-isnt-a-linux-vulnerability-red-hat-says.html 

作者：[Joab Jackson][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.computerworld.com/author/Joab-Jackson/
[1]:http://www.flickr.com/photos/moonrat/4571563485/
[2]:https://access.redhat.com/articles/1298913
[3]:http://www.pcworld.com/article/2860032/this-linux-grinch-could-put-a-hole-in-your-security-stocking.html
[4]:http://blog.threatstack.com/the-linux-grinch-vulnerability-separating-the-fact-from-the-fud
[5]:http://www.computerworld.com/article/2687983/shellshock-flaws-roils-linux-server-shops.html
[6]:https://isc.sans.edu/diary/Is+the+polkit+Grinch+Going+to+Steal+your+Christmas/19077
[7]:http://seclists.org/oss-sec/2014/q4/1078